Subject: Re: What's cooking in git.git (Jan 2025, #07; Fri, 24)

From: Junio C Hamano <[email-masked]>
Date: Tue, 28 Jan 2025 10:26:12 -0800

Junio C Hamano <[email-masked]> writes:

> Jeff King <[email-masked]> writes:
>
>> I noticed CI complaining about a missing include file:
>>
>>   2025-01-28T15:51:45.3979314Z asciidoc: WARNING: difftool.adoc: line 16: include file not found: /home/runner/work/git/git/Documentation/mergetools-diff.txt
>>
>> The problem is that the line was introduced by another concurrent
>> branch, aj/difftool-config-doc-fix. So we can't fix it independently on
>> either branch; the line does not exist yet in brian's adoc branch, and
>> the file is still ".txt" in Adam's doc-fix branch.
>>
>> It has to be fixed in an evil merge of the two (or brian's rebased on
>> Adam's, which has since graduated to master).
>
> Thanks; I had this one on my radar and I thought there was a
> merge-fix I made somewhere, but it is likely to have been lost
> during shuffling the order of merges.  Will take a look again.
>
> Thanks.

Here is what I'd directly apply to 'next'.  The merge-fix mechanism
knows about the same change, so when I merge the bc/doc-adoc-not-txt
topic down to 'master', the same tweak will be made as an evil
merge.

Thanks.

--- >8 ---
Subject: [PATCH] Fix mismerge at 737049d332

The world order after merging the bc/doc-adoc-not-txt topic
is that there is no .txt files in Documentation/ hierarchy,
as everything should have been migrated to .adoc suffix.

There were a fiew topics that were simultaneously in flight
that got graduated earlier than the topic, hence needed an
evil merge to adjust.  This commit belatedly adjusts the merge
result to account for them.  The same merge-fix will be made
when the topic eventually graduates to 'master'.

Reported-by: Jeff King <[email-masked]>
Signed-off-by: Junio C Hamano <[email-masked]>
---
 Documentation/config/difftool.adoc                              | 2 +-
 .../technical/{api-path-walk.txt => api-path-walk.adoc}         | 0
 2 files changed, 1 insertion(+), 1 deletion(-)
 rename Documentation/technical/{api-path-walk.txt => api-path-walk.adoc} (100%)

diff --git a/Documentation/config/difftool.adoc b/Documentation/config/difftool.adoc
index 6cd47331a9..4f7d40ce24 100644
--- a/Documentation/config/difftool.adoc
+++ b/Documentation/config/difftool.adoc
@@ -13,7 +13,7 @@ diff.guitool::
 	and requires that a corresponding difftool.<guitool>.cmd variable
 	is defined.
 
-include::{build_dir}/mergetools-diff.txt[]
+include::{build_dir}/mergetools-diff.adoc[]
 
 difftool.<tool>.cmd::
 	Specify the command to invoke the specified diff tool.
diff --git a/Documentation/technical/api-path-walk.txt b/Documentation/technical/api-path-walk.adoc
similarity index 100%
rename from Documentation/technical/api-path-walk.txt
rename to Documentation/technical/api-path-walk.adoc
-- 
2.48.1-325-g31d6edeeb9